List products
curl --request GET \
--url https://{shop_domain}/api/partner/v1/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://{shop_domain}/api/partner/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{shop_domain}/api/partner/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 2048,
"product_code": "HTB-001",
"name": "Seasonal Hand-tied Bouquet",
"currency": "GBP",
"variants": [
{
"id": 4096,
"sku": "HTB-001",
"name": "Standard",
"price": 49,
"currency": "GBP"
}
],
"created_at": "2026-06-01T09:00:00+01:00",
"updated_at": "2026-06-20T14:00:00+01:00"
}
],
"links": {
"next": "https://your-shop.example/api/partner/v1/products?cursor=eyJleGFtcGxlIjp0cnVlfQ",
"prev": null
},
"meta": {
"per_page": 25,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"errors": {}
}{
"error": "<string>",
"message": "<string>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Required scope: partner.products.read.
GET
/
products
List products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page size. Values above the maximum are clamped.
Required range:
1 <= x <= 100Last modified on July 2, 2026
⌘I